<? 
/* 
Function: feedFilter
@Param: A query
@Return: The same query
*/

function feedFilter($query) {
	// We will first check if the wordpress query is the feed; so it will only affect the feed.
	if ($query->is_feed) {
		// We will then change the_content part of each feed item. 
		// the_content will be modified by a function called feedContentFilter()
		add_filter('the_content', 'feedContentFilter');
		}
	// After modifications we return the same query.
	return $query;
}

// Here we add a modification to pre_get_posts. 
// This just means that before we publish the content of posts, we want to do something.
// Before we publish the content of posts, we want to modify with a function called feedFilter: the function we just wrote.
add_filter('pre_get_posts','feedFilter');

/*
Function: feedContentFilter
@Param: content; the content we are filtering.
@Return: the same content modified.
*/
function feedContentFilter($content) {
	// We'll create some variable first.
	// We'll want the ID of each post, its link, and its title. 
	
	$currentPost = get_the_ID();
	$postLink = get_permalink($currentPost);
	$postTitle = get_the_title();
	
	// Set up the arguments to get the thumbnail
	// We want a single attachment of the current post in the loop that is a jpeg image.
	$args = array( 
		'post_type' => 'attachment', 
		'numberposts' => 1, 
		'order' => 'ASC', 
		'orderby' => 'menu_order ID', 
		'post_status' => null, 
		'post_parent' => $currentPost
		'post_mime_type' => 'image/jpeg'	); 
		
	// Get the thumbnail
	$attachments = get_posts($args); 
	
	if ($attachments) 
	{	
		// If we ge tan attachment, loop through the results and get one thumbnail sizes image.
		foreach ($attachments as $attachment) 
		{ 
			$postThumb = wp_get_attachment_image($attachment->ID,"thumbnail",false); 
		} 
	} 
	
	// If we successfully get a thumbnail image, we set it up with a link and ECHO it.
	// It's important to echo. 
	if($postThumb) {
		echo '<a href="'.$postLink.'">'.$postThumb.'</a>';
	}
	
	// After we're done modifying, we'll push the content back out.
	return $content;
}

?>